Download it now!
Bug 112494 - Percent-encoding (URL encoding) shouldn't be used for file names in dialogs
Summary: Percent-encoding (URL encoding) shouldn't be used for file names in dialogs
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 59354 (view as bug list)
Depends on:
Blocks: Dialog-Msgbox File-Name
  Show dependency treegraph
 
Reported: 2017-09-19 14:49 UTC by Thomas Lendo
Modified: 2019-10-24 02:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
URL-encoding of file names in dialogs (17.67 KB, image/png)
2017-09-19 14:49 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-09-19 14:49:11 UTC
Created attachment 136371 [details]
URL-encoding of file names in dialogs

In dialogs of the LibreOffice UI, file names will be shown with percent-encoding (URL encoding) instead of the name the user has chosen for them and instead of they are shown in file managers and other programs of the OS.

Examples:
* file "Für-mich.odt" is shown as "F%C3%BCr-mich.odt"
* file "AB v1.1.docx" is shown as "AB%20v1.1.docx"

The readability of these percent-encoded names is bad and regular users are not familiar with them.

The attachment shows the "file in use" dialog in German.


Version: 5.4.2.1 (x64)
Build-ID: dfa67a98bede79c671438308dc9036d50465d2cb
CPU-Threads: 8; Betriebssystem:Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-AT (de_DE); Calc: group

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 1 Yousuf Philips (jay) (retired) 2017-09-20 13:53:00 UTC
Confirmed in the 'Document in Use' dialog.

Version: 6.0.0.0.alpha0+
Build ID: 7315f325ff7ada3d6bd85a471058fdaeaff8cdb0
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-17_06:58:21
Locale: en-US (en_US.UTF-8); Calc: group
Comment 2 QA Administrators 2018-09-21 02:47:57 UTC Comment hidden (obsolete)
Comment 3 Thomas Lendo 2018-09-21 10:49:32 UTC
Nothing changed.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 18c5089df091bddeb8c2dc339776671964389040
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-12_23:24:12
Locale: de-AT (de_AT); Calc: CL
Comment 4 Thomas Lendo 2018-10-23 20:50:55 UTC
*** Bug 59354 has been marked as a duplicate of this bug. ***
Comment 5 QA Administrators 2019-10-24 02:40:41 UTC
Dear Thomas Lendo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug